import requests
import json
import os

API_URL = os.getenv("API_URL", "http://localhost:5000/") + "api/"
API_URL_GET_POS = API_URL + "getPos"
API_URL_GET_OP = API_URL + "getOp"
API_URL_GET_GOAL = API_URL + "getGoal"
API_URL_GET_ITEMS = API_URL + "getItems"
API_URL_GET_PARK = API_URL + "getPark"
API_URL_PAY_PARK = API_URL + "payPark"
API_URL_SIMON_SAYS = API_URL + "simonSays"


class Seeding:
    @staticmethod
    def get_park() -> int:
        return json.loads(requests.get(API_URL_GET_PARK).content)["id"]

    @staticmethod
    def pay_park() -> bool:
        return requests.get(API_URL_PAY_PARK).status_code == 200

    @staticmethod
    def simon_says() -> int:
        return json.loads(requests.get(API_URL_SIMON_SAYS).content)["id"]


class Position:
    def __init__(self, x, y, degrees):
        self.x = x
        self.y = y
        self.degrees = degrees


class DoubleElim:
    @staticmethod
    def get_position():
        response = json.loads(requests.get(API_URL_GET_POS).content)
        return Position(response["x"], response["y"], response["degrees"])

    @staticmethod
    def get_opponent():
        response = json.loads(requests.get(API_URL_GET_OP).content)
        return Position(response["x"], response["y"], response["degrees"])

    @staticmethod
    def get_goal():
        response = json.loads(requests.get(API_URL_GET_GOAL).content)
        return Position(response["x"], response["y"], -1)

    @staticmethod
    def get_items():
        return json.loads(requests.get(API_URL_GET_ITEMS).content)
